# OpalStatusLineAppearance Struct Reference

`#include <opal.h>`

## Data Fields

const char * | m_line
| URI for the line whose state is changing.
OpalLineAppearanceStates | m_state
| State the line has just moved to.
int | m_appearance
const char * | m_callId
const char * | m_partyA
const char * | m_partyB

## Detailed Description

Line Appearance information for the OpalIndLineAppearance indication. This is only returned from the OpalGetMessage() function.

## Field Documentation

int OpalStatusLineAppearance::m_appearance

Appearance code, this is an arbitrary integer and is defined by the remote servers. If negative then it is undefined.

const char* OpalStatusLineAppearance::m_callId

If line is "in use" then this gives information that identifies the call. Note that this will include the from/to "tags" that can identify the dialog for REFER/Replace.

const char* OpalStatusLineAppearance::m_line

URI for the line whose state is changing.

const char* OpalStatusLineAppearance::m_partyA

A-Party for call.

const char* OpalStatusLineAppearance::m_partyB

B-Party for call.

OpalLineAppearanceStates OpalStatusLineAppearance::m_state

State the line has just moved to.

The documentation for this struct was generated from the following file:

- opal.h